import request from '@/utils/request'
import url from 'postcss-url'

export function getInspectionMajor(params) {
  return request({
    url: '/com/api/getinspectionmajor',
    methods: 'get',
    params: params
  })
}

export function getInspectionMinor(id, params) {
  return request({
    url: '/com/api/getinspectionminor?id=' + id,
    methods: 'get',
    params: params
  })
}

export function getInspectionRange(id, params) {
  return request({
    url: '/com/api/getinspectionrange?id=' + id,
    methods: 'get',
    params: params
  })
}

export function saveInspection(data) {
  console.log('data', data)
  return request({
    url: '/com/api/saveinspction',
    methods: 'post',
    data: data
  })
}
